# Update docker-compose-host-nfs.yml too in case of any change in this file.

version: "2.1"

services:
  credentials:
    volumes:
      - ${DEVSTACK_WORKSPACE}/credentials:/edx/app/credentials/credentials:cached
      - credentials_node_modules:/edx/app/credentials/credentials/node_modules
      - credentials_tox:/edx/app/credentials/credentials/.tox
      - ${DEVSTACK_WORKSPACE}/src:/edx/src:cached
  discovery:
      volumes:
      - ${DEVSTACK_WORKSPACE}/course-discovery:/edx/app/discovery/discovery:cached
      - discovery_node_modules:/edx/app/discovery/discovery/node_modules
      - discovery_tox:/edx/app/discovery/discovery/.tox
      - ${DEVSTACK_WORKSPACE}/src:/edx/src:cached
  ecommerce:
    volumes:
      - ${DEVSTACK_WORKSPACE}/ecommerce:/edx/app/ecommerce/ecommerce:cached
      - ecommerce_node_modules:/edx/app/ecommerce/ecommerce/node_modules
      - ecommerce_tox:/edx/app/ecommerce/ecommerce/.tox
      - ${DEVSTACK_WORKSPACE}/src:/edx/src:cached
  lms:
    volumes:
      - ${DEVSTACK_WORKSPACE}/edx-platform:/edx/app/edxapp/edx-platform:cached
      - edxapp_media:/edx/var/edxapp/media
      - edxapp_node_modules:/edx/app/edxapp/edx-platform/node_modules
      - edxapp_tox:/edx/app/edxapp/edx-platform/.tox
      - edxapp_uploads:/edx/var/edxapp/uploads
      - ${DEVSTACK_WORKSPACE}/src:/edx/src:cached
  edx_notes_api:
    volumes:
      - ${DEVSTACK_WORKSPACE}/edx-notes-api:/edx/app/edx_notes_api/edx_notes_api:cached
      - ${DEVSTACK_WORKSPACE}/src:/edx/src:cached
  studio:
    volumes:
      - ${DEVSTACK_WORKSPACE}/edx-platform:/edx/app/edxapp/edx-platform:cached
      - edxapp_media:/edx/var/edxapp/media
      - edxapp_node_modules:/edx/app/edxapp/edx-platform/node_modules
      - edxapp_tox:/edx/app/edxapp/edx-platform/.tox
      - edxapp_uploads:/edx/var/edxapp/uploads
      - ${DEVSTACK_WORKSPACE}/src:/edx/src:cached
  forum:
    volumes:
      - ${DEVSTACK_WORKSPACE}/cs_comments_service:/edx/app/forum/cs_comments_service:cached
  registrar:
    volumes:
      - ${DEVSTACK_WORKSPACE}/registrar:/edx/app/registrar/registrar
  registrar-worker:
    volumes:
      - ${DEVSTACK_WORKSPACE}/registrar:/edx/app/registrar/registrar
  gradebook:
    volumes:
      - ${DEVSTACK_WORKSPACE}/frontend-app-gradebook:/edx/app/gradebook:cached
      - gradebook_node_modules:/edx/app/gradebook/node_modules
      - gradebook_tox:/edx/app/gradebook/.tox
  program-console:
    volumes:
      - ${DEVSTACK_WORKSPACE}/frontend-app-program-console:/edx/app/program-console:cached
      - program_console_node_modules:/edx/app/program-console/node_modules
      - program_console_tox:/edx/app/program-console/.tox
  frontend-app-payment:
    volumes:
      - ${DEVSTACK_WORKSPACE}/frontend-app-payment:/edx/app/frontend-app-payment:cached
      - frontend_app_payment_node_modules:/edx/app/frontend-app-payment/node_modules
  frontend-app-publisher:
    volumes:
      - ${DEVSTACK_WORKSPACE}/frontend-app-publisher:/edx/app/frontend-app-publisher:cached
      - frontend_app_publisher_node_modules:/edx/app/frontend-app-publisher/node_modules
  frontend-app-learning:
    volumes:
      - ${DEVSTACK_WORKSPACE}/frontend-app-learning:/edx/app/frontend-app-learning:cached
      - frontend_app_learning_node_modules:/edx/app/frontend-app-learning/node_modules
  course-authoring:
    volumes:
      - ${DEVSTACK_WORKSPACE}/frontend-app-course-authoring:/edx/app/frontend-app-course-authoring:cached
      - course_authoring_node_modules:/edx/app/frontend-app-course-authoring/node_modules
  frontend-app-library-authoring:
    volumes:
      - ${DEVSTACK_WORKSPACE}/frontend-app-library-authoring:/edx/app/frontend-app-library-authoring:cached
      - frontend_app_library_authoring_node_modules:/edx/app/frontend-app-library-authoring/node_modules

volumes:
  credentials_node_modules:
  discovery_node_modules:
  ecommerce_node_modules:
  edxapp_media:
  edxapp_node_modules:
  edxapp_uploads:
  gradebook_node_modules:
  program_console_node_modules:
  frontend_app_payment_node_modules:
  frontend_app_publisher_node_modules:
  frontend_app_learning_node_modules:
  course_authoring_node_modules:
  frontend_app_library_authoring_node_modules:
  credentials_tox:
  discovery_tox:
  ecommerce_tox:
  edxapp_tox:
  gradebook_tox:
  program_console_tox:
